# List onboarding invites

`GET /onboarding-invites`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

List all the onboarding invites created by the caller's account.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].code` | string | Yes | A unique code that identifies an onboarding invite. |
| `[].link` | string (uri) | Yes | A unique URL, including the invite code, that the recipient can follow to redeem the invitation. |
| `[].returnURL` | string |  | Optional URL to redirect the user to after they complete the onboarding process. |
| `[].termsOfServiceURL` | string |  | The terms of service URL set by the inviter. |
| `[].scopes` | array of string | Yes | List of [scopes](https://docs.moov.io/api/authentication/scopes/) you request to use on this account. These values are used to determine what can be done with the account onboarded. Values: `accounts.read`, `accounts.write`, `analytics.read`, `apple-pay-merchant.read`, `apple-pay-merchant.write`, `apple-pay.read`, `apple-pay.write`, `bank-accounts.read`, `bank-accounts.write`, `capabilities.read`, `capabilities.write`, `cards.read`, `cards.write`, `documents.read`, `documents.write`, `fed.read`, `files.read`, `files.write`, `issued-cards.read`, `issued-cards.write`, `issued-cards.read-private`, `payment-methods.read`, `ping.read`, `profile-enrichment.read`, `profile.read`, `profile.write`, `profile.disconnect`, `representatives.read`, `representatives.write`, `transfers.read`, and 2 more. |
| `[].grantScopes` | array of string |  | List of [scopes](https://docs.moov.io/api/authentication/scopes/) you grant to allow being used by the new account on yourself. These values are used to determine what the account onboarded can do. Values: `accounts.read`, `accounts.write`, `analytics.read`, `apple-pay-merchant.read`, `apple-pay-merchant.write`, `apple-pay.read`, `apple-pay.write`, `bank-accounts.read`, `bank-accounts.write`, `capabilities.read`, `capabilities.write`, `cards.read`, `cards.write`, `documents.read`, `documents.write`, `fed.read`, `files.read`, `files.write`, `issued-cards.read`, `issued-cards.write`, `issued-cards.read-private`, `payment-methods.read`, `ping.read`, `profile-enrichment.read`, `profile.read`, `profile.write`, `profile.disconnect`, `representatives.read`, `representatives.write`, `transfers.read`, and 2 more. |
| `[].capabilities` | array of string | Yes | List of [capabilities](https://docs.moov.io/guides/accounts/capabilities/reference/) you intend to request for this account. These values are used to determine what information to collect from the user during onboarding. Values: `transfers`, `send-funds`, `send-funds.push-to-card`, `money-transfer.push-to-card`, `send-funds.ach`, `send-funds.rtp`, `send-funds.instant-bank`, `send-funds.wire`, `collect-funds`, `collect-funds.card-payments`, `money-transfer.pull-from-card`, `collect-funds.ach`, `wallet`, `wallet.balance`, `card-issuing`, `issuing.cardholder`, `production-app`, `platform.production-app`, `platform.wallet-transfers`. |
| `[].feePlanCodes` | array of string | Yes | List of fee plan codes to assign the account created by the invitee. |
| `[].redeemedAccountID` | string |  | The account ID of the account that redeemed the invite. |
| `[].prefill` | object |  |  |
| `[].prefill.accountType` | string | Yes | Values: `individual`, `business`. |
| `[].prefill.profile` | object | Yes |  |
| `[].prefill.metadata` | object |  | Free-form key-value pair list. Useful for storing information that is not captured elsewhere. |
| `[].prefill.termsOfService` | object |  |  |
| `[].prefill.foreignID` | string |  | Optional alias from a foreign/external system which can be used to reference this resource. |
| `[].prefill.customerSupport` | object |  | User-provided information that can be displayed on credit card transactions for customers to use when contacting a customer support team. This data is only allowed on a business account. |
| `[].prefill.settings` | object |  | User provided settings to manage an account. |
| `[].prefill.capabilities` | array of string |  | Capabilities to request when the account is created. Request granular capability IDs that match your use case. Read our [capabilities reference](https://docs.moov.io/guides/accounts/capabilities/reference/) to choose the right capabilities for your integration. The `send-funds`, `collect-funds`, and `wallet` capability IDs are deprecated. Use granular values such as `send-funds.ach`, `collect-funds.card-payments`, or `wallet.balance` instead. Values: `transfers`, `send-funds`, `send-funds.push-to-card`, `money-transfer.push-to-card`, `send-funds.ach`, `send-funds.rtp`, `send-funds.instant-bank`, `send-funds.wire`, `collect-funds`, `collect-funds.card-payments`, `money-transfer.pull-from-card`, `collect-funds.ach`, `wallet`, `wallet.balance`, `card-issuing`, `issuing.cardholder`, `production-app`, `platform.production-app`, `platform.wallet-transfers`. |
| `[].prefill.mode` | string |  | The operating mode for an account. Values: `sandbox`, `production`. |
| `[].partner` | object |  | The account that created the onboarding invite. |
| `[].partner.accountID` | string | Yes | The account ID of the partner that created the invite. |
| `[].partner.accountMode` | string | Yes | The operating mode for an account. Values: `sandbox`, `production`. |
| `[].partner.displayName` | string | Yes | The name of the Moov account used to create the onboarding invite. |
| `[].createdOn` | string (date-time) | Yes |  |
| `[].revokedOn` | string (date-time) |  |  |
| `[].redeemedOn` | string (date-time) |  |  |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/onboarding-invites" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.onboarding.listInvites();

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/moov-accounts/onboarding/list/
